import java.util.*;

public class Diary
{
    private Map<Person, List<Address>> persons = new HashMap<>();
    private Map<Address, List<Person>> addresses = new HashMap<>();
    
    public List<Address> getAddresses(Person p) {
        return Collections.unmodifiableList(persons.get(p));
    }
    
    public List<Person> getPersons(Address addr) {
        List<Person> ret = new ArrayList<>();
        for (Person p : persons.keySet()) {
            if (persons.get(p).contains(addr)) {
                ret.add(p);
            }
        }
        return ret;
    }
}
